"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var postcss_1 = __importDefault(require("postcss"));
var _types_1 = require("./@types");
var store_1 = require("./data/store");
var atrules_1 = require("./parsers/atrules");
var rules_1 = require("./parsers/rules");
var rules_2 = require("./utilities/rules");
var _types_2 = require("./@types");
exports.Mode = _types_2.Mode;
exports.Source = _types_2.Source;
exports.Autorename = _types_2.Autorename;
var transformer = function (options) {
    if (options === void 0) { options = {}; }
    return (function (css) {
        store_1.initStore(options);
        store_1.store.options.processKeyFrames && atrules_1.parseKeyFrames(css);
        atrules_1.parseAtRules(css);
        rules_1.parseRules(css);
        rules_2.appendRules();
        rules_2.appendKeyFrames();
        store_1.store.options.autoRename !== _types_1.Autorename.disabled && rules_2.appendAutorenameRules();
    });
};
exports.postcssRTLCSS = postcss_1.default.plugin('postcss-rtlcss', transformer);
